<?php
/*
Plugin Name: NBB Database plugin
Plugin URI: https://nbdb.kroeze.eu
description: Toon informatie uit de database van de NBB
Version: 1.2.2
Author: Roy Kroeze
Author URI: https://nbdb.kroeze.eu
License: GPL2
*/

defined('ABSPATH') or die( 'No script kiddies please!' );
define ('NBBPATH','http://db.basketball.nl/db/json/');
define ('VERSION','1.2.2');
include('nbbdb_admin.php');

wp_enqueue_style('nbbdb_style',plugin_dir_url( __FILE__ ) . 'css/nbbdb_stylesheet.css');

include('nbbdb_toonstand.php');
include('nbbdb_toonenkelestand.php');
include('nbbdb_toonenkelewedstrijd.php');
include('nbbdb_uitslagen.php');
include('nbbdb_komendewedstrijden.php');

/* Schedulen van het updaten */
register_activation_hook(__FILE__,'nbbdb_activation');
function nbbdb_activation(){wp_schedule_event(time(), 'hourly', 'nbbdb_update_timer');}
register_deactivation_hook(__FILE__,'nbbdb_deactivation');
function nbbdb_deactivation(){wp_clear_scheduled_hook('nbbdb_update_timer');}

add_action('nbbdb_update_timer','nbbdb_updater');
function nbbdb_updater(){
	register_setting('nbbdb','nbbdb_competities');
	
	$teamdata = file_get_contents(NBBPATH."team.pl?clb_ID=".get_option('nbbdb_verenigingsnummer'));
	$teams = json_decode($teamdata, true);
	$input = '{"teams":[';
	foreach($teams["teams"] as $team)
		{
		$input .= '{"comp_id":"'.$team['comp_id'].'","id":"'.$team['id'].'","naam":"'.$team['naam'].'"},';
		
		register_setting('nbbdb','nbbdb_stand_'.$team["comp_id"]);
		$standjson = file_get_contents(NBBPATH."stand.pl?cmp_ID=".$team["comp_id"]);
		update_option('nbbdb_stand_'.$team["comp_id"],$standjson,true);
		
		register_setting('nbbdb','nbbdb_wedstrijden_'.$team["comp_id"]);
		$wedstrijdjson = file_get_contents(NBBPATH.'wedstrijd.pl?cmp_ID='.$team["comp_id"]);
		update_option('nbbdb_wedstrijden_'.$team["comp_id"],$wedstrijdjson,true);
		
		}
	$input = substr($input,0,-1).']}';
	update_option('nbbdb_competities',$input,true);
}
?>