<?php
add_action('admin_menu','nbbdb_settings_page');
add_action('admin_init','register_nbbdb_settings');
add_action('admin_init','setup_nbbdb_sections');
add_action('admin_init','setup_nbbdb_fields');
add_action('admin_init','check_save');

// Maak een pagina als submenu van Instellingen
function nbbdb_settings_page() {
    add_submenu_page('options-general.php','NBB Database','NBB Database','manage_options','nbbdb','nbbdb_settings_content');
}
function nbbdb_settings_content(){?>
    <div class="wrap">
        <h1>NBB Database</h1>
        <form method="post" action="options.php">
            <?php
                settings_fields('nbbdb');
                do_settings_sections('nbbdb_fields');
                submit_button();
            ?>
        </form>
		
		<?php
		$teamdata = get_option('nbbdb_competities');
		if(!$teamdata || $teamdata == '{"teams":]}')
			{$action = 'Do nothing';}
		else
			{
			echo '<p>Algemene shortcodes:</p>
			<ul>
			<li>- [nbb_db_toonstand] : De standen van alle competities worden getoond, met de mogelijkheid om op ieder team te klikken voor het complete wedstrijdoverzicht van dat team.</li>
			<li>- [nbb_db_komende_wedstrijden] : De nog te spelen wedstrijden worden getoond. Deze shortcode kan met 2 argumenten worden gefilterd. team="xx" laat alleen de wedstrijden van het gekozen team zien (zie teamnummers hieronder). dagen="xx" laat alleen de wedstrijden in de komende xx dagen zien.</li>
			<li>- [nbb_db_uitslagen] : De uitslagen van afgelopen week worden getoond. Deze shortcode kan met 2 argumenten worden gefilterd. team="xx" laat alleen de uitslagen van het gekozen team zien (zie teamnummers hieronder). dagen="xx" laat de uitslagen van de afgelopen xx dagen zien (als deze niet is opgegeven is dit dus standaard 7 dagen).</li>
			</ul></p>';
			echo '<p>Voor team-specifieke weergaves moeten de volgende codes gebruikt worden:</p>
		<table>
			<thead>
				<tr>
					<th>Team&emsp;</th>
					<th>Code</th>
					<th>Shortcode stand</th>
					<th>Shortcode wedstrijden</th>
					<th>Shortcode komende wedstrijden</th>
					<th>Shortcode uitslagen</th>
				</tr>
			</thead>
			<tbody>
				';
			$teams = json_decode($teamdata, true);
			
			$uniqueteams = array();
			foreach($teams["teams"] as $team)
				{
				if(!isset($uniqueteams[$team["id"]]))
					{
					$uniqueteams[$team["id"]] = array("team_id" => $team["id"],"naam" => $team["naam"]);
					}
				}
			
			$teams_show = array();
			
			foreach($uniqueteams as $team)
				{
				$teamsorter = explode(' ',$team["naam"]);
				if(strtolower($teamsorter[1]) == 'senioren') {$sortnr = 1000;}
				if(strtolower($teamsorter[1]) == 'u24') {$sortnr = 2000;}
				if(strtolower($teamsorter[1]) == 'u23') {$sortnr = 3000;}
				if(strtolower($teamsorter[1]) == 'u22') {$sortnr = 4000;}
				if(strtolower($teamsorter[1]) == 'u21') {$sortnr = 5000;}
				if(strtolower($teamsorter[1]) == 'u20') {$sortnr = 6000;}
				if(strtolower($teamsorter[1]) == 'u19') {$sortnr = 7000;}
				if(strtolower($teamsorter[1]) == 'u18') {$sortnr = 8000;}
				if(strtolower($teamsorter[1]) == 'u17') {$sortnr = 9000;}
				if(strtolower($teamsorter[1]) == 'u16') {$sortnr = 10000;}
				if(strtolower($teamsorter[1]) == 'u15') {$sortnr = 11000;}
				if(strtolower($teamsorter[1]) == 'u14') {$sortnr = 12000;}
				if(strtolower($teamsorter[1]) == 'u13') {$sortnr = 13000;}
				if(strtolower($teamsorter[1]) == 'u12') {$sortnr = 14000;}
				if(strtolower($teamsorter[1]) == 'u11') {$sortnr = 15000;}
				if(strtolower($teamsorter[1]) == 'u10') {$sortnr = 16000;}
				if(strtolower($teamsorter[1]) == 'u09') {$sortnr = 17000;}
				if(strtolower($teamsorter[1]) == 'u9') {$sortnr = 17000;}
				if(strtolower($teamsorter[1]) == 'u08') {$sortnr = 18000;}
				if(strtolower($teamsorter[1]) == 'u8') {$sortnr = 18000;}
				if(strtolower($teamsorter[0]) == 'mannen') {$sortnr = $sortnr + 100;}
				if(strtolower($teamsorter[0]) == 'vrouwen') {$sortnr = $sortnr + 200;}
				if(strtolower($teamsorter[0]) == 'gemengd') {$sortnr = $sortnr + 300;}
				$sortnr = $sortnr + $teamsorter[2];
				$teams_show[$sortnr] = array('team_id' => $team["team_id"], 'naam' => $team["naam"]);
				}
			ksort($teams_show);
			foreach($teams_show as $team_show)
				{
				echo '<tr><td>'.$team_show['naam'].'&emsp;</td><td>'.$team_show['team_id'].'&emsp;</td><td>[nbb_db_stand team="'.$team_show['team_id'].'"]&emsp;</td><td>[nbb_db_wedstrijden team="'.$team_show['team_id'].'"]</td><td>[nbb_db_komende_wedstrijden team="'.$team_show['team_id'].'"]</td><td>[nbb_db_uitslagen team="'.$team_show['team_id'].'"]</td></tr>';
				}
			echo '			</tbody>
		</table>';			
			}
		?>
    </div> <?php
}

// Zorg dat de instelling geaccepteerd wordt.
function register_nbbdb_settings() {
	register_setting('nbbdb','nbbdb_verenigingsnummer');
}

// Maak een sectie aan waar de settings in kunnen op de nieuwe pagina
function setup_nbbdb_sections() {
    add_settings_section('nbbdb_first_section','NBB Database plugin instellingen',false,'nbbdb_fields');
}

// Maak een veld waar de optie in gevat kan worden
function setup_nbbdb_fields() {
	add_settings_field('nbbdb_verenigingsnummer', 'Kies de vereniging', 'nbbdb_vereniging_callback', 'nbbdb_fields', 'nbbdb_first_section' );
}
// Voeg een veld toe waarin de instelling opgegeven kan worden
function nbbdb_vereniging_callback() {
	$latest_version = file_get_contents('https://nbbdb.kroeze.eu/latest_version.txt?s='.$_SERVER['SERVER_NAME']);
	if($latest_version == VERSION)
		{echo '<div class="notice notice-info is-dismissible"><p>De plugin is up-to-date.</p></div>';}
	else
		{echo '<div class="notice notice-warning is-dismissible"><p>De plugin is niet up-to-date. Download de nieuwste versie op <a href="https://nbbdb.kroeze.eu" target="_blank">nbbdb.kroeze.eu</a></p></div>';}
	$value = get_option('nbbdb_verenigingsnummer');
    if(!$value){$value = 0;}
	echo '<select name="nbbdb_verenigingsnummer" id="nbbdb_verenigingsnummer" />';
	$jsonData = file_get_contents(NBBPATH.'club.pl');
	$clubs = json_decode($jsonData, true);
	foreach($clubs["clubs"] as $club)
		{
		echo '<option value="'.$club["id"].'"';
		if($club["id"] == $value){echo ' selected="selected"';}
		echo '>'.$club["naam"].'</option>';
		}
}
// Haal de data op wanneer de club opgeslagen of gewijzigd wordt
function check_save(){
	if($_REQUEST['settings-updated'] == true && $_REQUEST['page'] == 'nbbdb')
		{
		nbbdb_updater();
		}
}
?>